<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetProgressPos Method (IEdmTaskInstance)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskInstance Interface : SetProgressPos Method (IEdmTaskInstance)

Visual Basic
C#
C++/CLI

lPos
  Current position of the progress bar

bsDocStr
  Description of what the add-in is currently doing

Updates the task list progress bar during execution of this task instance.

# Syntax

Visual Basic |
--- | ---

    Sub SetProgressPos( _
       ByVal lPos As System.Integer, _
       ByVal bsDocStr As System.String _
    )

C# |
--- | ---

    void SetProgressPos(
       System.int lPos,
       System.string bsDocStr
    )

C++/CLI |
--- | ---

    void SetProgressPos(
    &   System.int lPos,
    &   System.String^ bsDocStr
    )

#### Parameters

lPos
  Current position of the progress bar
bsDocStr
  Description of what the add-in is currently doing

# Example

See the examples in IEdmTaskInstance.

# Remarks

The task add-in calls this method periodically during processing of the hook, EdmCmdType.EdmCmd.TaskRun, to update the progress bar in the task list window of the PDM Administration tool.

Initialize the task list progress bar by calling IEdmTaskinstance::SetProgressRange at the start of processing of the hook, EdmCmdType.EdmCmd.TaskRun.

lPos is between 0 and lMax of IEdmTaskinstance::SetProgressRange.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskInstance Interface
IEdmTaskInstance Members

# Availability

SOLIDWORKS PDM Professional 2010